package hmggirlfront.items;

import java.util.List;

import javax.annotation.Nullable;

import hmggirlfront.mod_GirlFront;
import net.minecraft.block.BlockLiquid;
import net.minecraft.client.util.ITooltipFlag;
import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;
import net.minecraft.stats.StatList;
import net.minecraft.util.ActionResult;
import net.minecraft.util.EnumActionResult;
import net.minecraft.util.EnumHand;
import net.minecraft.util.math.BlockPos;
import net.minecraft.util.math.RayTraceResult;
import net.minecraft.util.text.TextComponentTranslation;
import net.minecraft.util.text.TextFormatting;
import net.minecraft.world.World;

public class Item_PAD extends Item{
	public String text1 = null;
	public String text2 = null;
	public String text3 = null;
	public Item_PAD()
    {
        this.maxStackSize = 1;
    }
	
	
	public void addInformation(ItemStack stack, @Nullable World worldIn, List<String> tooltip, ITooltipFlag flagIn)
	  {
  	if(text1 != null) {
  		TextComponentTranslation information = new TextComponentTranslation(text1, new Object[0]);
  		tooltip.add(TextFormatting.WHITE + information.getFormattedText());//0
  	}
  	if(text2 != null) {
  		TextComponentTranslation information = new TextComponentTranslation(text2, new Object[0]);
  		tooltip.add(TextFormatting.WHITE + information.getFormattedText());//0
  	}
  	if(text3 != null) {
  		TextComponentTranslation information = new TextComponentTranslation(text3, new Object[0]);
  		tooltip.add(TextFormatting.WHITE + information.getFormattedText());//0
  	}
  	
	  }
	
	/**
     * Called when the equipped item is right clicked.
     */
    public ActionResult<ItemStack> onItemRightClick(World worldIn, EntityPlayer playerIn, EnumHand handIn)
    {
    	ItemStack itemStackIn = playerIn.getHeldItem(handIn);
    	if(!worldIn.isRemote){
    		playerIn.openGui(mod_GirlFront.INSTANCE, 5, 
    				playerIn.world, (int)playerIn.posX, (int)playerIn.posY, (int)playerIn.posZ);
    	}
    	return new ActionResult(EnumActionResult.PASS, itemStackIn);
    }
	
	
}
